export = self;
declare var self: typeof Adapter;
declare function Adapter(jFrogPipelinesSessionId: any, token: any): void;
declare class Adapter {
    constructor(jFrogPipelinesSessionId: any, token: any);
    token: any;
    baseUrl: string;
    headers: {
        'Content-Type': string;
        Authorization: string;
        'jfrog-pipelines-session-id': any;
        "uber-trace-id": string;
    };
    jFrogPipelinesSessionId: any;
    publisher: AmqpPublisher;
    getBuildPlaneImages(query: any, callback: any): void;
    getNodePools(query: any, callback: any): void;
    getNodes(query: any, callback: any): void;
    getNodeById(nodeId: any, callback: any): void;
    getTemplateSourceById(templateSourceId: any, callback: any): void;
    putTemplateSourceById(templateSourceId: any, body: any, callback: any): void;
    triggerTemplateSync(templateSourceId: any, body: any, callback: any): void;
    getExtensionSourceById(extensionSourceId: any, callback: any): void;
    putExtensionSourceById(extensionSourceId: any, body: any, callback: any): void;
    getTemplates(query: any, callback: any): void;
    getTemplateById(templateId: any, callback: any): void;
    putTemplateById(templateId: any, body: any, callback: any): void;
    postTemplates(json: any, callback: any): void;
    getTemplateArtifactUrlById(templateId: any, query: any, callback: any): void;
    getMasterResources(query: any, callback: any): void;
    getMasterResourceById(masterResourceId: any, callback: any): void;
    putMasterResourceById(masterResourceId: any, body: any, callback: any): void;
    postMasterResources(json: any, callback: any): void;
    getBuildPlaneMessages(query: any, callback: any): void;
    getBuildPlaneMessagesCount(query: any, callback: any): void;
    postBuildPlaneMessage(json: any, callback: any): void;
    queueToNodePool(json: any, callback: any): void;
    getBuildPlaneMessageById(messageId: any, callback: any): void;
    deleteBuildPlaneMessagesByRunId(runId: any, callback: any): void;
    putBuildPlaneMessageById(messageId: any, json: any, callback: any): void;
    pollNextMessage(nodeId: any, json: any, callback: any): void;
    deleteBuildPlaneMessageById(messageId: any, callback: any): void;
    getDeployKeys(query: any, callback: any): void;
    getMasterResourceArtifactUrlById(masterResourceId: any, query: any, callback: any): void;
    getNodeStats(query: any, callback: any): void;
    getSystemConfigByName(configName: any, callback: any): void;
    putNodePoolById(nodePoolId: any, json: any, callback: any): void;
    postNodeStats(json: any, callback: any): void;
    postNodeStatistics(callback: any): void;
    postLock(json: any, callback: any): void;
    getHooks(query: any, callback: any): void;
    getHookById(hookId: any, callback: any): void;
    postHook(body: any, callback: any): void;
    putHookById(hookId: any, body: any, callback: any): void;
    deleteHookById(hookId: any, callback: any): void;
    postHookWebhook(hookId: any, body: any, callback: any): void;
    getExtensionSources(query: any, callback: any): void;
    triggerExtensionSync(extensionSourceId: any, body: any, callback: any): void;
    getTemplateSources(query: any, callback: any): void;
    getIdentities(query: any, callback: any): void;
    getIdentityById(identityId: any, callback: any): void;
    getIdentityTokens(query: any, callback: any): void;
    postIdentityToken(json: any, callback: any): void;
    deleteIdentityTokenById(tokenId: any, callback: any): void;
    deleteIdentityTokenByIdWithQuery(tokenId: any, query: any, callback: any): void;
    getMasterIntegrations(query: any, callback: any): void;
    getProviderById(id: any, callback: any): void;
    getProviders(query: any, callback: any): void;
    getPipelineObjects(query: any, callback: any): void;
    postPipelineObjects(json: any, callback: any): void;
    deletePipelineObjectById(pipelineObjectId: any, callback: any): void;
    getPipelineSourceById(pipelineSourceId: any, callback: any): void;
    getPipelineSources(query: any, callback: any): void;
    putPipelineSourceById(pipelineSourceId: any, json: any, callback: any): void;
    getPipelineSourceObjectPermissions(query: any, callback: any): void;
    getMicroPipelines(query: any, callback: any): void;
    putMicroPipelineById(microPipelineId: any, json: any, callback: any): void;
    postPipelineSyncStatus(json: any, callback: any): void;
    putPipelineSyncStatusById(pipelineSyncStatusId: any, json: any, callback: any): void;
    getMicroPipelineEvents(query: any, callback: any): void;
    getMicroPipelineById(microPipelineId: any, json: any, callback: any): void;
    putMicroPipelineEventById(microPipelineEventId: any, json: any, callback: any): void;
    postMicroPipelineEvents(json: any, callback: any): void;
    deleteMicroPipelineEventById(microPipelineEventId: any, callback: any): void;
    putLockById(lockId: any, json: any, callback: any): void;
    postPipelineStep(json: any, callback: any): void;
    triggerPipelineStepById(pipelineStepId: any, json: any, callback: any): void;
    postPipelineSteplet(json: any, callback: any): void;
    putPipelineStepById(pipelineStepId: any, json: any, callback: any): void;
    putPipelineStepletById(pipelineStepletId: any, json: any, callback: any): void;
    deletePipelineStepById(pipelineStepId: any, query: any, callback: any): void;
    deletePipelineStepletById(pipelineStepletId: any, query: any, callback: any): void;
    deleteLockById(lockId: any, query: any, callback: any): void;
    getResourceVersionById(resourceVersionId: any, callback: any): void;
    getPipelines(query: any, callback: any): void;
    getPipelineById(pipelineId: any, callback: any): void;
    getDisabledPipelineEntities(query: any, callback: any): void;
    postPipeline(json: any, callback: any): void;
    cancelRunById(runId: any, callback: any): void;
    deleteRunById(runId: any, callback: any): void;
    postRun(json: any, callback: any): void;
    addToMerkleTree(runId: any, hash: any, callback: any): void;
    getRunKey(runId: any, callback: any): void;
    deleteRunKey(runId: any, callback: any): void;
    getRuns(query: any, callback: any): void;
    getRunById(runId: any, callback: any): void;
    getProjects(query: any, callback: any): void;
    getProjectById(projectId: any, callback: any): void;
    getRunStepConnections(query: any, callback: any): void;
    getStatistics(query: any, callback: any): void;
    postStatistic(json: any, callback: any): void;
    collectMetrics(query: any, callback: any): void;
    timeoutStuckSteps(callback: any): void;
    deleteStatisticById(statisticId: any, callback: any): void;
    deleteStatistics(query: any, callback: any): void;
    getArtifactUrlByStepId(stepId: any, query: any, callback: any): void;
    getArtifactUrlByRunId(runId: any, query: any, callback: any): void;
    getStepExecutionEligibility(stepId: any, callback: any): void;
    updateStepStatusByStepId(stepId: any, json: any, callback: any): void;
    requestStepApproval(stepId: any, callback: any): void;
    getStepConsolesByStepId(stepId: any, query: any, callback: any): void;
    getStepletConsolesByStepletId(stepletId: any, query: any, callback: any): void;
    getSteps(query: any, callback: any): void;
    getSteplets(query: any, callback: any): void;
    getStepletById(stepletId: any, callback: any): void;
    getStepletArtifactUrl(stepletId: any, query: any, callback: any): void;
    getRunArtifactUrlsForStep(stepId: any, callback: any): void;
    putStepById(stepId: any, json: any, callback: any): void;
    putStepletById(stepletId: any, json: any, callback: any): void;
    getStepVariables(query: any, callback: any): void;
    putRunById(runId: any, json: any, callback: any): void;
    postRunResourceVersion(json: any, callback: any): void;
    putRunResourceVersionById(id: any, json: any, callback: any): void;
    getRunResourceVersions(query: any, callback: any): void;
    getRunResourceVersionsLight(query: any, callback: any): void;
    getResourceVersions(query: any, callback: any): void;
    getResourceVersionsLight(query: any, callback: any): void;
    postRunStepConnection(json: any, callback: any): void;
    postStep(json: any, callback: any): void;
    postSteplet(json: any, callback: any): void;
    putPipelineById(pipelineId: any, json: any, callback: any): void;
    deletePipelineById(pipelineId: any, query: any, callback: any): void;
    getPipelineSteps(query: any, callback: any): void;
    getPipelineStepById(pipelineStepId: any, callback: any): void;
    getPipelineSteplets(query: any, callback: any): void;
    getPipelineStepletById(pipelineStepletId: any, callback: any): void;
    getStepById(id: any, query: any, callback: any): void;
    getNextSteps(runId: any, json: any, callback: any): void;
    postPipelineStepConnection(json: any, callback: any): void;
    postPipelineStepConnectionBulk(json: any, callback: any): void;
    getPipelineStepConnections(query: any, callback: any): void;
    deletePipelineStepConnectionById(pipelineStepConnectionId: any, callback: any): void;
    getProjectIntegrations(query: any, callback: any): void;
    getProjectIntegrationById(projectIntegrationId: any, callback: any): void;
    getResources(query: any, callback: any): void;
    getResourceById(resourceId: any, callback: any): void;
    deleteScmHookAndKeyByResourceId(resourceId: any, callback: any): void;
    getSystemCodes(query: any, callback: any): void;
    getSystemServices(query: any, callback: any): void;
    getSystemServiceInstances(query: any, callback: any): void;
    getVersionById(versionId: any, callback: any): void;
    getVersions(query: any, callback: any): void;
    postResourceVersion(json: any, callback: any): void;
    putVersionById(versionId: any, json: any, callback: any): void;
    getWorkflowControllers(query: any, callback: any): void;
    postWorkflowControllers(body: any, callback: any): void;
    getWebhookById(webhookId: any, callback: any): void;
    getWebhooks(query: any, callback: any): void;
    putWebhookById(webhookId: any, json: any, callback: any): void;
    deleteWebhooksByHookId(hookId: any, query: any, callback: any): void;
    deleteNodeById(nodeId: any, callback: any): void;
    deleteNodeConsolesByNodeId(nodeId: any, callback: any): void;
    deleteNodeStatsByNodeId(nodeId: any, query: any, callback: any): void;
    deleteResourceById(resourceId: any, query: any, callback: any): void;
    deleteResourceVersionsByResourceId(resourceId: any, callback: any): void;
    triggerRun(json: any, callback: any): void;
    triggerPipelineSync(pipelineSourceId: any, body: any, callback: any): void;
    getPipelineSyncStatuses(query: any, callback: any): void;
    deletePipelineSyncStatusById(statusId: any, callback: any): void;
    getBranchesByIntegrationId(projectIntegrationId: any, query: any, callback: any): void;
    deleteStepConsolesByStepId(stepId: any, callback: any): void;
    deleteStepletConsolesByStepletId(stepletId: any, callback: any): void;
    deleteVersionById(versionId: any, callback: any): void;
    postStepConsoles(json: any, callback: any): void;
    postStepletConsoles(json: any, callback: any): void;
    postResource(json: any, callback: any): void;
    postSystemServiceInstance(json: any, callback: any): void;
    postToNode(node: any, callback: any): void;
    postToNodeConsoles(json: any, callback: any): void;
    postToVortex(message: any, callback: any): void;
    postToSUVortex(message: any, callback: any): void;
    postToVortexUrl(message: any, callback: any): void;
    triggerNewBuildByResourceId(resourceId: any, json: any, callback: any): void;
    putNodeById(nodeId: any, node: any, callback: any): void;
    putResourceById(id: any, json: any, callback: any): void;
    getExecutionNodes(callback: any): void;
    getSHAByIntegrationId(projectIntegrationId: any, query: any, callback: any): void;
    putSystemServiceInstanceById(id: any, json: any, callback: any): void;
    validateNodeById(nodeId: any, callback: any): void;
    validateSystemServiceInstanceById(systemServiceInstanceId: any, callback: any): void;
    validateRepositoryOwnerToken(id: any, query: any, callback: any): void;
    getStepletTestReports(query: any, callback: any): void;
    postStepTestReport(json: any, callback: any): void;
    getEnvironmentVariables(query: any, callback: any): void;
    postEnvironmentVariables(json: any, callback: any): void;
    getEnvironmentVariableById(evId: any, callback: any): void;
    deleteEnvironmentVariableById(evId: any, callback: any): void;
    putEnvironmentVariableById(evId: any, json: any, callback: any): void;
    deletePipelinesEntities(json: any, callback: any): void;
    postRunAdjacencies(json: any, callback: any): void;
    getUnifiedUiAndWwwUrl(callback: any): void;
    deleteAccessSecretsRecords(query: any, callback: any): void;
    getAccessSecretsRecords(query: any, callback: any): void;
    get(relativeUrl: any, callback: any): void;
    post(relativeUrl: any, json: any, callback: any): void;
    put(relativeUrl: any, json: any, callback: any): void;
    delete(relativeUrl: any, callback: any): void;
}
import { AmqpPublisher } from "@jfrog-pipelines/amqp-client/dist/queue/AmqpPublisher";
