export const EXPERIMENTAL_PROPERTIES_CONFIG_NAME: "experimentalProperties";
export const waitingConditions: string[];
export namespace waitingMessageComposerFactory {
    function waitingForFreeNodePoolCapacity({ nodePoolName, numberOfNodes }: {
        nodePoolName: any;
        numberOfNodes: any;
    }): {
        group: string;
        cmd: string;
        message: string;
    };
    function waitingForFreeLicenseCapacity({ maxCapacity }: {
        maxCapacity: any;
    }): {
        group: string;
        cmd: string;
        message: string;
    };
    function waitingForParentPipelineToComplete({ pipelineNames }: {
        pipelineNames: any;
    }): {
        group: string;
        cmd: string;
        message: string;
    };
    function waitingForParentPipelineToSuccess({ pipelineNames }: {
        pipelineNames: any;
    }): {
        group: string;
        cmd: string;
        message: string;
    };
    function waitingForChildPipelineToSuccess({ pipelineNames }: {
        pipelineNames: any;
    }): {
        group: string;
        cmd: string;
        message: string;
    };
    function waitingForInputStepsToComplete({ inputStepNamesByStepletId }: {
        inputStepNamesByStepletId: any;
    }): any[];
    function waitingForPreviousRunToFinish({ previousRunNumber, pipelineName }: {
        previousRunNumber: any;
        pipelineName: any;
    }): {
        group: string;
        cmd: string;
        message: string;
    };
    function waitingForChildPipelineToComplete({ pipelineNames }: {
        pipelineNames: any;
    }): {
        group: string;
        cmd: string;
        message: string;
    };
    function waitingForApproval(): {
        group: string;
        cmd: string;
        message: string;
    };
}
