import { StepletAttributes } from '@jfrog-pipelines/types';
import { DataAdapter } from '../dataAdapter';
import { RunAdjacency } from './RunAdjacency';
export declare class Steplet {
    private readonly dataAdapter;
    private steplets;
    private stepletsById;
    private stepletsByStepId;
    constructor(dataAdapter: DataAdapter);
    populate(runAdjacency: RunAdjacency): Promise<void>;
    getSteplets(): StepletAttributes[];
    getStepletById(stepletId: string): StepletAttributes;
    getStepletsByStepId(stepId: number | string): StepletAttributes[];
}
