export const defaultNamespace: "jfrog";
export const DEFAULT_STEP_TIMEOUT_SECONDS: 3600;
export const JFROG_PIPELINES_DIR: "/opt/jfrog/pipelines";
export namespace defaultPlatformForExtension {
    const os: string;
}
export const DEFAULT_DISK_SIZE: 60;
export const CALL_OBJECT_LIMIT: 100;
export const CALL_OBJECT_LIMIT_FOR_BATCH: 300;
export const PIPE_INFO_VERSION: "1.0.0";
export namespace SERVICES_NAME_TO_TYPE_MAP {
    const hookHandler: string;
    const stepTrigger: string;
    const runTrigger: string;
    const reqSealer: string;
    const extensionSync: string;
    const logup: string;
    const pipelineSync: string;
    const templateSync: string;
    const marshaller: string;
    const nexec: string;
    const cron: string;
    const eventHandler: string;
}
export namespace EXPONENTIAL_RETRY_OPTIONS {
    const times: number;
    function interval(retryCount: any): number;
}
export const MAX_URL_LENGTH: 4000;
export const XRAY_ENABLED_STEPS: string[];
export const XRAY_SCAN_STEP: "XrayScan";
export const TROUBLESHOOT_MSG: string;
export namespace LOGGING {
    const SERVICE_COLOR: string;
    const DIR: string;
}
export const ACTIVITY_EVENT_LOGGER_ID: "activity-event";
export namespace KEEP_ALIVE {
    const TIMEOUT_SEC: number;
    const MAX_CONNECTIONS: number;
}
export const CUSTOM_CERTS_FILENAME: "pipelines_custom_certs.crt";
export const HELLO_WORLD_TEMPLATE_NAME: "HelloWorld";
export const JFROG_TEMPLATE_NAMESPACE: "jfrog";
export const PRE_RUN_HOOK_STEP_INPUT_STEP_STATUSES: string[];
export const WILDCARD_AUDIENCE: "*@*";
