import { StepAttributes } from '@jfrog-pipelines/types';
import { DataAdapter } from '../dataAdapter';
import { RunAdjacency } from './RunAdjacency';
export declare class Step {
    private readonly dataAdapter;
    private stepsById;
    private steps;
    constructor(dataAdapter: DataAdapter);
    populate(runAdjacency: RunAdjacency): Promise<void>;
    getSteps(): StepAttributes[];
    getStepById(stepId: string): StepAttributes;
}
