"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataAdapterFactory = void 0;
const internal_clients_1 = require("@jfrog-pipelines/internal-clients");
const configuration_1 = require("@jfrog-pipelines/configuration");
const ApiDataAdapter_1 = require("./ApiDataAdapter");
class DataAdapterFactory {
    static getApiDataAdapter() {
        const properties = configuration_1.ConfigFactory.config;
        const pipelinesClient = new internal_clients_1.PipelinesClient(4, properties.apiToken);
        return new ApiDataAdapter_1.ApiDataAdapter(pipelinesClient);
    }
}
exports.DataAdapterFactory = DataAdapterFactory;
//# sourceMappingURL=DataAdapterFactory.js.map