"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DataAdapterFactory_1 = require("../DataAdapterFactory");
jest.mock('@jfrog-pipelines/configuration', () => ({
    ConfigFactory: {
        config: {
            apiUrl: 'http://example.com',
            controlPlaneVersion: '1.23.6',
            token: 'token'
        }
    }
}));
describe('DataAdapterFactory test cases', () => {
    it('should create dataAdapter', () => {
        const dataAdapter = DataAdapterFactory_1.DataAdapterFactory.getApiDataAdapter();
        expect(dataAdapter).toBeDefined();
    });
});
//# sourceMappingURL=DataAdapterFactort.test.js.map